-- ------------------------------------------------------------------------------------------------------------
-- INITIAL DATA FOR JUMPSTART
-- ------------------------------------------------------------------------------------------------------------

-- persons

delete from Person;

insert into Person(id, version, firstName, lastName, region, startDate)
	values (1, 0, 'Humpty', 'Dumpty', 'EAST_COAST', '2007-12-05');
insert into Person(id, version, firstName, lastName, region, startDate)
	values (2, 0, 'Mary', 'Contrary', 'EAST_COAST', '2008-02-29');
insert into Person(id, version, firstName, lastName, region, startDate)
	values (3, 0, 'Jack', 'Sprat', 'WEST_COAST', '2007-02-28');
insert into Person(id, version, firstName, lastName, region, startDate)
	values (4, 0, 'Jill', 'Spill', 'WEST_COAST', '2008-02-29');
insert into Person(id, version, firstName, lastName, region, startDate)
	values (5, 0, 'Dishy', 'Spoon', 'EAST_COAST', '2008-02-29');

-- date stuff

delete from DateStuff;

insert into DateStuff(id, version, aDate, aTime, aTimestamp, 
			aDateTime, aDateTimeWithTZ, aDateTimeTZ, aDateMidnight, aDateMidnightWithTZ, aDateMidnightTZ,
			aLocalDateTime, aLocalDate, aLocalTimeAsTime, aLocalTimeAsMillis, aLocalTimeAsString)
	values (1, 0, '2001-07-31', '10:35:17', '2001-07-31 10:35:17', 
			'2001-07-31 10:35:17', '2001-07-31 10:35:17', 'GMT+10:00', '2001-07-31', '2001-07-31', 'GMT+10:00',
			'2001-07-31 10:35:17', '2001-07-31', '10:35:17', 2117000, '10:35:17.000');

-- users

delete from UserRole;
delete from Role;
delete from Users;
delete from UserPassword;

insert into UserPassword (id, version, password)
	values	(1, 0, 'secofr');
insert into Users (id, version, loginId, salutation, firstName, lastName, emailAddress, expiryDate, active, userPasswordId,
	pageStyle, dateInputPattern, dateViewPattern, dateListPattern)
	values	(1, 0, 'secofr', 'Ms', 'Security', 'Officer', 'secofr@thecompany.com', null, 1, 1,
		0, 'dd/MM/yyyy', 'dd MMM yyyy', 'yyyy-MM-dd');
insert into UserPassword (id, version, password)
	values	(2, 0, 'admin');
insert into Users (id, version, loginId, salutation, firstName, lastName, emailAddress, expiryDate, active, userPasswordId,
	pageStyle, dateInputPattern, dateViewPattern, dateListPattern)
	values	(2, 0, 'admin', '', 'The', 'Administrator', 'admin@thecompany.com', null, 1, 2,
		1, 'dd/MM/yyyy', 'dd MMM yyyy', 'yyyy-MM-dd');
insert into UserPassword (id, version, password)
	values	(3, 0, 'john');
insert into Users (id, version, loginId, salutation, firstName, lastName, emailAddress, expiryDate, active, userPasswordId,
	pageStyle, dateInputPattern, dateViewPattern, dateListPattern)
	values	(3, 0, 'john', 'Mr', 'John', 'Citizen', 'john@thecompany.com', '2010-12-31', 1, 3,
		1, 'dd/MM/yyyy', 'dd MMM yyyy', 'yyyy-MM-dd');
		
-- roles
		
insert into Role(id, name, version)
	values	(1, 'Security Officer', 0);
insert into Role(id, name, version)
	values	(2, 'Administration', 0);
insert into Role(id, name, version)
	values	(3, 'Accounts', 0);

-- user roles

insert into UserRole(id, userId, roleId, active, version)
	values	(1, 1, 1, 1, 0);
insert into UserRole(id, userId, roleId, active, version)
	values	(2, 2, 2, 1, 0);
insert into UserRole(id, userId, roleId, active, version)
	values	(3, 2, 3, 1, 0);
insert into UserRole(id, userId, roleId, active, version)
	values	(4, 3, 3, 1, 0);

-- categories - a partial list of the Dewey Decimal Classification codes

delete from Category;
	
insert into Category (id, version, parentId, label) values (1000, 0, null, '000-099 - Computer science, information & general works');
insert into Category (id, version, parentId, label) values (2000, 0, 1000, '000 Computer science, knowledge & systems');
insert into Category (id, version, parentId, label) values (3000, 0, 2000, '000 Computer science, knowledge & general works');
insert into Category (id, version, parentId, label) values (3001, 0, 2000, '001 Knowledge');
insert into Category (id, version, parentId, label) values (3002, 0, 2000, '002 The book (i.e. Meta writings about books)');
insert into Category (id, version, parentId, label) values (3003, 0, 2000, '003 Systems');
insert into Category (id, version, parentId, label) values (3004, 0, 2000, '004 Data processing & computer science');
insert into Category (id, version, parentId, label) values (3005, 0, 2000, '005 Computer programming, programs & data');
insert into Category (id, version, parentId, label) values (3006, 0, 2000, '006 Special computer methods');
insert into Category (id, version, parentId, label) values (3007, 0, 2000, '007 [Unassigned]');
insert into Category (id, version, parentId, label) values (3008, 0, 2000, '008 [Unassigned]');
insert into Category (id, version, parentId, label) values (3009, 0, 2000, '009 [Unassigned]');
insert into Category (id, version, parentId, label) values (2010, 0, 1000, '010 Bibliographies');
insert into Category (id, version, parentId, label) values (3010, 0, 2010, '010 Bibliography');
insert into Category (id, version, parentId, label) values (3011, 0, 2010, '011 Bibliographies');
insert into Category (id, version, parentId, label) values (3012, 0, 2010, '012 Bibliographies of individuals');
insert into Category (id, version, parentId, label) values (3013, 0, 2010, '013 [Unassigned]');
insert into Category (id, version, parentId, label) values (3014, 0, 2010, '014 Of anonymous & pseudonymous works');
insert into Category (id, version, parentId, label) values (3015, 0, 2010, '015 Bibliographies of works from specific places');
insert into Category (id, version, parentId, label) values (3016, 0, 2010, '016 Bibliographies of works on specific subjects');
insert into Category (id, version, parentId, label) values (3017, 0, 2010, '017 General subject catalogs');
insert into Category (id, version, parentId, label) values (3018, 0, 2010, '018 Catalogs arranged by author, date, etc.');
insert into Category (id, version, parentId, label) values (3019, 0, 2010, '019 Dictionary catalogs');
insert into Category (id, version, parentId, label) values (2020, 0, 1000, '020 Library & information sciences');
insert into Category (id, version, parentId, label) values (3020, 0, 2020, '020 Library & information sciences');
insert into Category (id, version, parentId, label) values (3021, 0, 2020, '021 Library relationships');
insert into Category (id, version, parentId, label) values (3022, 0, 2020, '022 Administration of physical plant');
insert into Category (id, version, parentId, label) values (3023, 0, 2020, '023 Personnel management');
insert into Category (id, version, parentId, label) values (3024, 0, 2020, '024 No longer used - formerly Regulations for readers');
insert into Category (id, version, parentId, label) values (3025, 0, 2020, '025 Library operations');
insert into Category (id, version, parentId, label) values (3026, 0, 2020, '026 Libraries for specific subjects');
insert into Category (id, version, parentId, label) values (3027, 0, 2020, '027 General libraries');
insert into Category (id, version, parentId, label) values (3028, 0, 2020, '028 Reading & use of other information media');
insert into Category (id, version, parentId, label) values (3029, 0, 2020, '029 No longer used - formerly Literary methods');
insert into Category (id, version, parentId, label) values (2030, 0, 1000, '030 Encyclopedias & books of facts');
insert into Category (id, version, parentId, label) values (3030, 0, 2030, '030 General encyclopedic works');
insert into Category (id, version, parentId, label) values (3031, 0, 2030, '031 Encyclopedias in American English');
insert into Category (id, version, parentId, label) values (3032, 0, 2030, '032 Encyclopedias in English');
insert into Category (id, version, parentId, label) values (3033, 0, 2030, '033 In other Germanic languages');
insert into Category (id, version, parentId, label) values (3034, 0, 2030, '034 Encyclopedias in French, Occitan & Catalan');
insert into Category (id, version, parentId, label) values (3035, 0, 2030, '035 In Italian, Romanian & related languages');
insert into Category (id, version, parentId, label) values (3036, 0, 2030, '036 Encyclopedias in Spanish & Portuguese');
insert into Category (id, version, parentId, label) values (3037, 0, 2030, '037 Encyclopedias in Slavic languages');
insert into Category (id, version, parentId, label) values (3038, 0, 2030, '038 Encyclopedias in Scandinavian languages');
insert into Category (id, version, parentId, label) values (3039, 0, 2030, '039 Encyclopedias in other languages');
insert into Category (id, version, parentId, label) values (2040, 0, 1000, '040 [all unassigned] formerly Collected essays by language');
insert into Category (id, version, parentId, label) values (3040, 0, 2040, '040 [Unassigned]');
insert into Category (id, version, parentId, label) values (3041, 0, 2040, '041 [Unassigned]');
insert into Category (id, version, parentId, label) values (3042, 0, 2040, '042 [Unassigned]');
insert into Category (id, version, parentId, label) values (3043, 0, 2040, '043 [Unassigned]');
insert into Category (id, version, parentId, label) values (3044, 0, 2040, '044 [Unassigned]');
insert into Category (id, version, parentId, label) values (3045, 0, 2040, '045 [Unassigned]');
insert into Category (id, version, parentId, label) values (3046, 0, 2040, '046 [Unassigned]');
insert into Category (id, version, parentId, label) values (3047, 0, 2040, '047 [Unassigned]');
insert into Category (id, version, parentId, label) values (3048, 0, 2040, '048 [Unassigned]');
insert into Category (id, version, parentId, label) values (3049, 0, 2040, '049 [Unassigned]');
insert into Category (id, version, parentId, label) values (2050, 0, 1000, '050 Magazines, journals & serials');
insert into Category (id, version, parentId, label) values (3050, 0, 2050, '050 General serial publications');
insert into Category (id, version, parentId, label) values (3051, 0, 2050, '051 Serials in American English');
insert into Category (id, version, parentId, label) values (3052, 0, 2050, '052 Serials in English');
insert into Category (id, version, parentId, label) values (3053, 0, 2050, '053 Serials in other Germanic languages');
insert into Category (id, version, parentId, label) values (3054, 0, 2050, '054 Serials in French, Occitan & Catalan');
insert into Category (id, version, parentId, label) values (3055, 0, 2050, '055 In Italian, Romanian & related languages');
insert into Category (id, version, parentId, label) values (3056, 0, 2050, '056 Serials in Spanish & Portuguese');
insert into Category (id, version, parentId, label) values (3057, 0, 2050, '057 Serials in Slavic languages');
insert into Category (id, version, parentId, label) values (3058, 0, 2050, '058 Serials in Scandinavian languages');
insert into Category (id, version, parentId, label) values (3059, 0, 2050, '059 Serials in other languages');
insert into Category (id, version, parentId, label) values (2060, 0, 1000, '060 Associations, organizations & museums');
insert into Category (id, version, parentId, label) values (3060, 0, 2060, '060 General organizations & museology');
insert into Category (id, version, parentId, label) values (3061, 0, 2060, '061 Organizations in North America');
insert into Category (id, version, parentId, label) values (3062, 0, 2060, '062 Organizations in British Isles; in England');
insert into Category (id, version, parentId, label) values (3063, 0, 2060, '063 Organizations in central Europe; in Germany');
insert into Category (id, version, parentId, label) values (3064, 0, 2060, '064 Organizations in France & Monaco');
insert into Category (id, version, parentId, label) values (3065, 0, 2060, '065 Organizations in Italy & adjacent islands');
insert into Category (id, version, parentId, label) values (3066, 0, 2060, '066 In Iberian Peninsula & adjacent islands');
insert into Category (id, version, parentId, label) values (3067, 0, 2060, '067 Organizations in eastern Europe; in Russia');
insert into Category (id, version, parentId, label) values (3068, 0, 2060, '068 Organizations in other geographic areas');
insert into Category (id, version, parentId, label) values (3069, 0, 2060, '069 Museum science');
insert into Category (id, version, parentId, label) values (2070, 0, 1000, '070 News media, journalism & publishing');
insert into Category (id, version, parentId, label) values (3070, 0, 2070, '070 News media, journalism & publishing');
insert into Category (id, version, parentId, label) values (3071, 0, 2070, '071 Newspapers in North America');
insert into Category (id, version, parentId, label) values (3072, 0, 2070, '072 Newspapers in British Isles; in England');
insert into Category (id, version, parentId, label) values (3073, 0, 2070, '073 Newspapers in central Europe; in Germany');
insert into Category (id, version, parentId, label) values (3074, 0, 2070, '074 Newspapers in France & Monaco');
insert into Category (id, version, parentId, label) values (3075, 0, 2070, '075 Newspapers in Italy & adjacent islands');
insert into Category (id, version, parentId, label) values (3076, 0, 2070, '076 In Iberian Peninsula & adjacent islands');
insert into Category (id, version, parentId, label) values (3077, 0, 2070, '077 Newspapers in eastern Europe; in Russia');
insert into Category (id, version, parentId, label) values (3078, 0, 2070, '078 Newspapers in Scandinavia');
insert into Category (id, version, parentId, label) values (3079, 0, 2070, '079 Newspapers in other geographic areas');
insert into Category (id, version, parentId, label) values (2080, 0, 1000, '080 General collections');
insert into Category (id, version, parentId, label) values (3080, 0, 2080, '080 General collections');
insert into Category (id, version, parentId, label) values (3081, 0, 2080, '081 Collections in American English');
insert into Category (id, version, parentId, label) values (3082, 0, 2080, '082 Collections in English');
insert into Category (id, version, parentId, label) values (3083, 0, 2080, '083 Collections in other Germanic languages');
insert into Category (id, version, parentId, label) values (3084, 0, 2080, '084 Collections in French, Occitan & Catalan');
insert into Category (id, version, parentId, label) values (3085, 0, 2080, '085 In Italian, Romanian & related languages');
insert into Category (id, version, parentId, label) values (3086, 0, 2080, '086 Collections in Spanish & Portuguese');
insert into Category (id, version, parentId, label) values (3087, 0, 2080, '087 Collections in Slavic languages');
insert into Category (id, version, parentId, label) values (3088, 0, 2080, '088 Collections in Scandinavian languages');
insert into Category (id, version, parentId, label) values (3089, 0, 2080, '089 Collections in other languages');
insert into Category (id, version, parentId, label) values (2090, 0, 1000, '090 Manuscripts & rare books');
insert into Category (id, version, parentId, label) values (3090, 0, 2090, '090 Manuscripts & rare books');
insert into Category (id, version, parentId, label) values (3091, 0, 2090, '091 Manuscripts');
insert into Category (id, version, parentId, label) values (3092, 0, 2090, '092 Block books');
insert into Category (id, version, parentId, label) values (3093, 0, 2090, '093 Incunabula');
insert into Category (id, version, parentId, label) values (3094, 0, 2090, '094 Printed books');
insert into Category (id, version, parentId, label) values (3095, 0, 2090, '095 Books notable for bindings');
insert into Category (id, version, parentId, label) values (3096, 0, 2090, '096 Books notable for illustrations');
insert into Category (id, version, parentId, label) values (3097, 0, 2090, '097 Books notable for ownership or origin');
insert into Category (id, version, parentId, label) values (3098, 0, 2090, '098 Prohibited works, forgeries & hoaxes');
insert into Category (id, version, parentId, label) values (3099, 0, 2090, '099 Books notable for format');
insert into Category (id, version, parentId, label) values (1100, 0, null, '100-199 - Philosophy and psychology');
insert into Category (id, version, parentId, label) values (2100, 0, 1100, '100 Philosophy');
insert into Category (id, version, parentId, label) values (2110, 0, 1100, '110 Metaphysics');
insert into Category (id, version, parentId, label) values (2120, 0, 1100, '120 Epistemology');
insert into Category (id, version, parentId, label) values (2130, 0, 1100, '130 Parapsychology and occultism');
insert into Category (id, version, parentId, label) values (2140, 0, 1100, '140 Philosophical schools of thought');
insert into Category (id, version, parentId, label) values (2150, 0, 1100, '150 Psychology');
insert into Category (id, version, parentId, label) values (2160, 0, 1100, '160 Logic');
insert into Category (id, version, parentId, label) values (2170, 0, 1100, '170 Ethics (Moral philosophy)');
insert into Category (id, version, parentId, label) values (2180, 0, 1100, '180 Ancient, medieval, and Eastern philosophy');
insert into Category (id, version, parentId, label) values (2190, 0, 1100, '190 Modern Western philosophy (19th-century, 20th-century)');
insert into Category (id, version, parentId, label) values (1200, 0, null, '200-299 - Religion');
insert into Category (id, version, parentId, label) values (1300, 0, null, '300-399 - Social sciences');
insert into Category (id, version, parentId, label) values (1400, 0, null, '400-499 - Language');
insert into Category (id, version, parentId, label) values (1500, 0, null, '500-599 - Science');
insert into Category (id, version, parentId, label) values (1600, 0, null, '600-699 - Technology');
insert into Category (id, version, parentId, label) values (1700, 0, null, '700-799 - Arts');
insert into Category (id, version, parentId, label) values (1800, 0, null, '800-899 - Literature');
insert into Category (id, version, parentId, label) values (1900, 0, null, '900-999 - History, geography, (& biography)');
	
commit;
