package jumpstart.web.commons;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class Conversation {
	private String id;
	private Map<Object, Object> objects = null;

	public Conversation(String id) {
		this.id = id;
	}

	public String getId() {
		return id;
	}

	public void setObject(Object key, Object obj) {
		if (objects == null) {
			objects = new HashMap<Object, Object>(1);
		}
		objects.put(key, obj);
	}

	public Object getObject(Object key) {
		if (objects == null) {
			return null;
		}
		else {
			return objects.get(key);
		}
	}

	public String toString() {
		final String DIVIDER = ", ";

		StringBuilder buf = new StringBuilder();
		buf.append(this.getClass().getSimpleName() + ": ");
		buf.append("[");
		buf.append("id=" + id + DIVIDER);
		buf.append("objects=");
		if (objects == null) {
			buf.append("null");
		}
		else {
			buf.append("{");
			for (Iterator<Object> iterator = objects.keySet().iterator(); iterator.hasNext();) {
				Object key = (Object) iterator.next();
				buf.append("(" + key + "," + "<" + objects.get(key) == null ? "null" : objects.get(key).getClass()
						.getSimpleName()
						+ ">" + ")");
			}
			buf.append("}");
		}
		buf.append("]");
		return buf.toString();
	}
}
