package jumpstart.web.encoders.examples;

import jumpstart.business.domain.examples.Person;
import jumpstart.business.domain.examples.iface.IPersonServiceLocal;

import org.apache.tapestry5.ValueEncoder;

public class PersonEncoder implements ValueEncoder<Person> {

	private IPersonServiceLocal personService;

	public PersonEncoder(IPersonServiceLocal personService) {
		this.personService = personService;
	}

	@Override
	public String toClient(Person value) {
		return String.valueOf(value.getId());
	}

	@Override
	public Person toValue(String id) {
		return personService.findPerson(Long.parseLong(id));
	}

}
