// Based on an example kindly provided by George Christman and Lance Java.

package jumpstart.web.model.examples.tree;

import java.util.List;

import jumpstart.business.domain.examples.iface.CategoryNode;
import jumpstart.business.domain.examples.iface.ICategoryServiceLocal;

import org.apache.tapestry5.tree.TreeModelAdapter;

public class CategoryTreeModelAdapter implements TreeModelAdapter<CategoryNode> {

	private ICategoryServiceLocal categoryService;

	public CategoryTreeModelAdapter(ICategoryServiceLocal categoryService) {
		this.categoryService = categoryService;
	}

	public List<CategoryNode> getChildren(CategoryNode node) {
		return categoryService.getChildren(node);
	}

	public boolean isLeaf(CategoryNode node) {
		return node.isLeaf();
	}

	public boolean hasChildren(CategoryNode node) {
		return node.hasChildren();
	}

	public String getLabel(CategoryNode node) {
		return node.getCategory().getLabel();
	}
}
