package jumpstart.web.pages.examples.localization;

import java.text.DateFormat;
import java.text.NumberFormat;
import java.util.Date;
import java.util.List;
import java.util.Locale;

import jumpstart.web.commons.LocalesUtil;

import org.apache.tapestry5.annotations.Property;
import org.apache.tapestry5.ioc.annotations.Inject;
import org.apache.tapestry5.ioc.annotations.Symbol;
import org.apache.tapestry5.services.PersistentLocale;

public class LocalizationByMessageCatalog {

	// Screen fields

	@Inject
	@Property
	private Locale currentLocale;

	@Property
	@SuppressWarnings("unused")
	private Date date;

	@Property
	@SuppressWarnings("unused")
	private double number = 1234.56;

	@Property
	@SuppressWarnings("unused")
	private DateFormat dateFormat;

	@Property
	@SuppressWarnings("unused")
	private NumberFormat numberFormat;

	@Property
	@SuppressWarnings("unused")
	private List<Locale> supportedLocales;

	@Property
	@SuppressWarnings("unused")
	private Locale supportedLocale;

	// Generally useful bits and pieces

	@Inject
	private PersistentLocale persistentLocaleService;

	@Inject
	@Symbol("tapestry.supported-locales")
	private String supportedLocalesString;

	// The code

	void setupRender() {
		supportedLocales = LocalesUtil.convertToLocales(supportedLocalesString);
		date = new Date();
		dateFormat = DateFormat.getDateInstance(DateFormat.LONG, currentLocale);
		numberFormat = NumberFormat.getInstance(currentLocale);
	}

	void onSwitchLocale(String localeCode) {
		persistentLocaleService.set(LocalesUtil.convertToLocale(localeCode));
	}
}
