package jumpstart.web.pages.together.easycrud;

import java.util.List;

import javax.ejb.EJB;

import jumpstart.business.domain.examples.Person;
import jumpstart.business.domain.examples.iface.IPersonServiceLocal;
import jumpstart.util.ExceptionUtil;

import org.apache.tapestry5.PersistenceConstants;
import org.apache.tapestry5.annotations.Persist;
import org.apache.tapestry5.annotations.Property;

public class Persons {

	private final String demoModeStr = System.getProperty("jumpstart.demo-mode");
	static private final int MAX_RESULTS = 30;

	// Screen fields

	@Property
	@SuppressWarnings("unused")
	private List<Person> persons;

	@Property
	@SuppressWarnings("unused")
	private Person person;

	@Property
	@Persist(PersistenceConstants.FLASH)
	@SuppressWarnings("unused")
	private String errorMessage;

	// Generally useful bits and pieces

	@EJB
	private IPersonServiceLocal personService;

	// The code

	// setupRender() is called by Tapestry right before it starts rendering the page.

	void setupRender() {
		persons = personService.findPersons(MAX_RESULTS);
	}

	// Handle event "delete"

	void onDelete(Long id, Integer version) {
		if (demoModeStr != null && demoModeStr.equals("true")) {
			errorMessage = "Sorry, but this function is not allowed in Demo mode.";
			return;
		}

		try {
			personService.deletePerson(id, version);
		}
		catch (Exception e) {
			// Display the cause. In a real system we would try harder to get a user-friendly message.
			errorMessage = ExceptionUtil.getRootCauseMessage(e);
		}
	}
}
